%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-express
Version:    4.13.3
Release:    1%{?dist}
Summary:    Sinatra inspired web development framework for Node.js
License:    MIT
Group:      System Environment/Libraries
URL:        https://github.com/strongloop/express
Source0:    http://registry.npmjs.org/express/-/express-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:    tests-%{version}.tar.bz2
Source2:    examples-%{version}.tar.bz2
Source10:   dl-tests.sh

BuildArch:  noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(buffer-crc32)
BuildRequires:  npm(commander)
BuildRequires:  npm(connect)
BuildRequires:  npm(cookie)
BuildRequires:  npm(cookie-signature)
BuildRequires:  npm(debug)
BuildRequires:  npm(ejs)
BuildRequires:  npm(fresh)
BuildRequires:  npm(jade)
BuildRequires:  npm(marked)
BuildRequires:  npm(merge-descriptors)
BuildRequires:  npm(methods)
BuildRequires:  npm(mkdirp)
BuildRequires:  npm(mocha)
BuildRequires:  npm(range-parser)
BuildRequires:  npm(send)
BuildRequires:  npm(should)
BuildRequires:  npm(stylus)
BuildRequires:  npm(supertest)
%endif

%description
This Node.js module is a fast, minimalist web development framework inspired
by Sinatra.

The Express philosophy is to provide small, robust tooling for HTTP servers.
Making it a great solution for single page applications, web sites, hybrids,
or public HTTP APIs.

Built on Connect you can use only what you need, and nothing more,
applications can be as big or as small as you like, even a single file.
Express does not force you to use any specific ORM or template engine. With
support for over 14 template engines via Consolidate.js you can quickly craft
your perfect framework.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

%nodejs_fixdep accepts '^1.3.0'
%nodejs_fixdep commander '>=1.3.2'
%nodejs_fixdep depd '^1.1.0'
%nodejs_fixdep escape-html '^1.0.3'
%nodejs_fixdep range-parser '~1.0.0'
%nodejs_fixdep mkdirp
%nodejs_fixdep cookie '~0.2.3'
%nodejs_fixdep buffer-crc32 '~0.2.1'
%nodejs_fixdep fresh '~0.3.0'
%nodejs_fixdep methods
%nodejs_fixdep send
%nodejs_fixdep cookie-signature '~1.0.3'
%nodejs_fixdep merge-descriptors '^1.0.0'
%nodejs_fixdep vary '^1.1.0'
%nodejs_fixdep path-to-regexp '^1.2.1'
%nodejs_fixdep qs '^2.3.3'


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/express
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/express

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
rm -f test.js
NODE_ENV=test /usr/bin/mocha --reporter dot \
    --globals setImmediate,clearImmediate --check-leaks
NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha --reporter dot --bail \
    test/acceptance/*.js
%endif


%files
%doc History.md LICENSE Readme.md examples/
%{nodejs_sitelib}/express


%changelog
* Thu Nov 05 2015 Jared Smith <jsmith@fedoraproject.org> - 4.13.3-1
- Update to upstream 4.13.3 release

* Wed Nov 04 2015 Jared Smith <jsmith@fedoraproject.org> - 3.21.2-3
- Update some dependency versions

* Wed Oct 28 2015 Jared Smith <jsmith@fedoraproject.org> - 3.21.2-2
- Relax versions of various npm modules

* Mon Oct 05 2015 Jared Smith <jsmith@fedoraproject.org> - 3.21.2-1
- Update to new upstream release 3.21.2

* Thu Jun 18 2015 Tom Hughes <tom@compton.nu> - 3.5.2-4
- Fix version of npm(merge-descriptors) dependency

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.5.2-1
- update to upstream release 3.5.2

* Sun Apr 20 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.5.1-1
- update to upstream release 3.5.1

* Mon Mar 17 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.5.0-2
- fix versioned dependency on npm(connect)

* Sat Mar 08 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.5.0-1
- update to upstream release 3.5.0

* Mon Aug 26 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.3.5-1
- update to upstream release 3.3.5
- add ExclusiveArch logic

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jul 05 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.3.3-1
- update to upstream release 3.3.3
- restrict to compatible arches

* Sat May 25 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.5-1
- update to upstream release 3.2.5

* Wed Apr 17 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.2.0-1
- update to upstream release 3.2.0

* Mon Apr 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.2-1
- update to upstream release 3.1.2

* Mon Apr 15 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-7
- make dependency on npm(cookie-signature) not version specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-6
- make some versioned dependencies even less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-5
- make all versioned dependencies less specific

* Tue Apr 09 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-4
- fix version of npm(cookie) dependency

* Sat Mar 16 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-3
- add a custom man page

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-2
- fix version of npm(connect) dependency

* Wed Feb 20 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.1.0-1
- update to upstream release 3.1.0

* Wed Feb 13 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.6-2
- make use of %%nodejs_fixdep

* Mon Feb 11 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 3.0.6-1
- initial package
